MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417XdebugUsage problems (Wrong Results)public2008-10-31 05:352009-12-29 15:09
Reporterreedom 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000417: response of context_get may lack page and pagesize attributes
DescriptionFor nested arrays/objects, Xdebug lacks to specify page and pagesize
attributes to inside array/object.
Additional InformationThe following is a representasion script and DBGp commands.
They're a combination of object->array.
In other combination, array->object and array->array result with the same issue.

[script]
<?php

class Test
{
    public function __construct()
    {
        $this->a = array_fill(0, 10, 0);
    }
}

$test = new Test();
1;

[DBGp]
feature_set -i 1 -n max_children -v 8
context_get -i 2
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_get" transaction_id="30047" context="0">
  <property name="test" fullname="$test" address="140444000" type="object" children="1" classname="Test" numchildren="1">
    <property name="a" fullname="$test->a" facet="public" address="140438300" type="array" children="1" numchildren="10">
      <property name="0" fullname="$test->a[0]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="1" fullname="$test->a[1]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="2" fullname="$test->a[2]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="3" fullname="$test->a[3]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="4" fullname="$test->a[4]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="5" fullname="$test->a[5]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="6" fullname="$test->a[6]" address="140444276" type="int"><![CDATA[0]]></property>
      <property name="7" fullname="$test->a[7]" address="140444276" type="int"><![CDATA[0]]></property>
    </property>
  </property>
</response>
TagsNo tags attached.
Operating SystemFreeBSD 6.1
PHP Version5.2.6
Attached Files

- Relationships

-  Notes
(0001226)
derick (administrator)
2009-12-29 15:09

Fixed in revision 3174.

- Issue History
Date Modified Username Field Change
2008-10-31 05:35 reedom New Issue
2009-12-29 15:09 derick Note Added: 0001226
2009-12-29 15:09 derick Status new => closed
2009-12-29 15:09 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker